<?php
/**
 * Created by PhpStorm.
 * User: chendeben
 * Date: 2017/12/6
 * Time: 11:18
 */
require 'sphinxapi.php';
$s=new SphinxClient();
$s->SetServer("s5.97admin.com",9312);
$s->SetLimits ( 0, 30, 1000, 0 );      //设置结果集偏移量  SetLimits (便宜量,匹配项数目,查询的结果集数默认1000,阀值达到后停止)
//$s->SetFilter ( $attribute, $values, $exclude=false );     //设置属性过滤
//$s->SetGroupBy ( $attribute, $func, $groupsort="@group desc" );    //设置分组的属性
$res = $s->query('母女');
$ids=array_keys($res['matches']);
